Bug 1073255 - (CVE-2017-16355) VUL-1: CVE-2017-16355: rubygem-passenger: agent/Core/SpawningKit/Spawner.h, if Passenger isrunning as root, allows for arbitrary file reads in certain configurations
(CVE-2017-16355)
VUL-1: CVE-2017-16355: rubygem-passenger: agent/Core/SpawningKit/Spawner.h, i...
Status: RESOLVED FIXED
Classification: Novell Products
Product: SUSE Security Incidents
Classification: Novell Products
Component: Incidents
unspecified
Other Other
: P4 - Low : Normal
: ---
Assigned To: Security Team bot
Security Team bot
https://smash.suse.de/issue/196751/
CVSSv3:SUSE:CVE-2017-16355:5.1:(AV:L/...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-12-18 08:24 UTC by Johannes Segitz
Modified: 2018-02-21 06:27 UTC (History)
1 user (show)

See Also:
Found By: Security Response Team
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Johannes Segitz 2017-12-18 08:24:46 UTC
CVE-2017-16355

In agent/Core/SpawningKit/Spawner.h in Phusion Passenger 5.1.10 (fixed in
Passenger Open Source 5.1.11 and Passenger Enterprise 5.1.10), if Passenger is
running as root, it is possible to list the contents of arbitrary files on a
system by symlinking a file named REVISION from the application root folder to a
file of choice and querying passenger-status --show=xml.

References:
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2017-16355
http://people.canonical.com/~ubuntu-security/cve/2017/CVE-2017-16355.html
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2017-16355
Comment 1 Stefan Schubert 2018-01-03 14:46:48 UTC
As far I see, we do not have this code for SLES11. So the fix is in
SUSE_SLE-12_Update only:
SR id 150355
Back to security team :-)
Comment 3 Swamp Workflow Management 2018-01-29 17:08:41 UTC
SUSE-SU-2018:0262-1: An update that fixes two vulnerabilities is now available.

Category: security (moderate)
Bug References: 1068874,1073255
CVE References: CVE-2017-1000384,CVE-2017-16355
Sources used:
SUSE Linux Enterprise Module for Containers 12 (src):    rubygem-passenger-5.0.18-12.5.1
Comment 4 Marcus Meissner 2018-02-21 06:27:01 UTC
released